#!/bin/bash
#
# Create environment file with the registry used by the overcloud nodes
set -euo pipefail

REPO="$(find /etc/yum.repos.d/ -iname 'rhos-release-??.*')"
REPO_URL="$(grep -B2 enabled=1 $REPO | grep -m1 puddle | sed -E 's/.*(http.*[0-9]-RHEL-.\/).*/\1/')"
TAG="$(curl -s -N -L $REPO_URL/latest_containers/container_images.yaml|awk -F':' '/imagename/ {print $NF; exit}')"
REGISTRY="$(curl -s -N -L $REPO_URL/latest_containers/container_images.yaml | grep pull_source | uniq | awk {'print $2'})"
openstack overcloud container image prepare \
  --env-file=/home/stack/docker-osp12.yaml \
  --prefix=openstack- \
  --suffix=-docker \
  --tag="$TAG" \
  --namespace=192.168.24.1:8787/rhosp12
echo >> /home/stack/docker-osp12.yaml '  DockerInsecureRegistryAddress: 192.168.24.1:8787'
echo >> /home/stack/docker-osp12.yaml '  DockerCephDaemonImage: 192.168.24.1:8787/ceph/rhceph-2-rhel7:latest'
